Molssi Driver Interface Library: code_struct Struct Reference

|  | Molssi Driver Interface Library

Public Attributes | List of all members
code_struct Struct Reference

## Public Attributes
char | name [MDI_NAME_LENGTH_]
| Name of the driver/engine.
char | role [MDI_NAME_LENGTH_]
| Role of the driver/engine.
void * | execute_command_obj
| Pointer to the class object that is passed to any call to execute_command.
vector * | nodes
| Vector containing all nodes supported by this code.
vector * | comms
| Vector containing all communicators associated with this code.
vector * | methods
| Vector containing all supported methods.
char * | plugin_path
| Path to the plugins available to this code.
int * | plugin_argc_ptr
| Argument count for plugin command-line options.
char *** | plugin_argv_ptr
| Argument vector for plugin command-line options.
char ** | plugin_unedited_options_ptr
| Unedited command-line options for currently running plugin.
void * | shared_state_from_driver
| Shared plugin state, received from the driver during plugin calculations.
char * | hostname
| Hostname of the driver.
int(* | driver_callback_f90 )(void *)
| Function pointer to the actual callback for Fortran drivers.
int(* | execute_command_wrapper )(const char *, MDI_Comm_Type, void *)
| Function pointer to the language-specific wrapper for the execute_command function.
MDI_execute_command_type | execute_command
| Function pointer to the generic execute_command_function.
int(* | language_on_destroy )(int)
| Function pointer to the language-specific destructor function.
int(* | mpi4py_recv_callback )(void *, int, int, int, MDI_Comm_Type)
| Python callback pointer for MPI_Recv.
int(* | mpi4py_send_callback )(void *, int, int, int, MDI_Comm_Type)
| Python callback pointer for MPI_Send.
int(* | mpi4py_allgather_callback )(void *, void *)
| Python callback pointer for the initial MPI allgather.
int(* | mpi4py_gather_names_callback )(void *, void *, int *, int *)
| Python callback pointer for gathering names.
int(* | mpi4py_split_callback )(int, int, MDI_Comm_Type, int)
| Python callback pointer for MPI_Comm_split.
int(* | mpi4py_rank_callback )(int)
| Python callback pointer for MPI_Comm_rank.
int(* | mpi4py_size_callback )(int)
| Python callback pointer for MPI_Comm_size.
int(* | mpi4py_barrier_callback )(int)
| Python callback pointer for MPI_Comm_barrier.
int(* | py_launch_plugin_callback )(void *, void *, void *, int)
| Python callback pointer for MPI_Comm_barrier.
MPI_Comm | intra_MPI_comm
| MPI intra-communicator that spans all ranks associated with this code.
sock_t | tcp_socket
| Socket for TCP connections.
int | is_library
| Flag whether this code is being used as a library 0: Not a library 1: Is an ENGINE library, but has not connected to the driver 2: Is an ENGINE library that has connected to the driver.
int | world_size
| Size of MPI_COMM_WORLD.
int | world_rank
| Rank of this process within MPI_COMM_WORLD.
size_t | id
| Handle for this code.
int | returned_comms
| The number of communicator handles that have been returned by MDI_Accept_Connection()
int | next_comm
| The handle of the next communicator.
int | language
| Native language of this code.
int | intra_rank
| Rank of this process within its associated code.
int | called_set_execute_command_func
| Flag whether this code has called set_execute_command_func.
int | selected_method_id
| ID of the method being used for inter-code communication.
int | ipi_compatibility
| Flag for whether MDI is running in i-PI compatibility mode.
int | initialized_mpi
| Flag for whether MDI called MPI_Init.
int | tcp_initialized
| Flag whether this code has previously initialized TCP.
int | mpi_initialized
| Flag whether this code has previously initialized MPI.
int | test_initialized
| Flag whether this code has previously initialized TEST.
int | port
| Port over which the driver will listen.
int | debug_mode
| Flag for whether this code is running in debug mode.

The documentation for this struct was generated from the following file:

- /repo/build/MDI_Library/MDI_Library/mdi_global.h